Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(4)

Unified Diff: tests/external_rsa_signer.sh

Issue 4194003: Add support for using external signing application and .pem private key files to vbutil_keyblock. (Closed) Base URL: ssh://git@gitrw.chromium.org:9222/vboot_reference.git
Patch Set: fix read() bug Created 10 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « host/lib/host_signature.c ('k') | tests/run_vbutil_tests.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tests/external_rsa_signer.sh
diff --git a/tests/external_rsa_signer.sh b/tests/external_rsa_signer.sh
new file mode 100755
index 0000000000000000000000000000000000000000..0724b87898402156d65e88b07efec9aa685b1366
--- /dev/null
+++ b/tests/external_rsa_signer.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <private_key_pem_file>"
+ echo "Reads data to sign from stdin, encrypted data is output to stdout"
+ exit 1
+fi
+
+openssl rsautl -sign -inkey $1
« no previous file with comments | « host/lib/host_signature.c ('k') | tests/run_vbutil_tests.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698